Thanks to everyone who reported bug(s) and gave suggestion(s)!

FlashGet Version 1.9.6(2007.09.25)
*Add "FlashGet Recommends"
*Optimized the BT module;
*Fixed the messy code in "new download" window;
*Other improvements


FlashGet Version 1.9.4(2007.09.11)
*Optimized the HTTP module;
*Optimized the emule dispatching;
*Fixed some minor UI bugs;
*Other improvements


FlashGet Version 1.9.0 (2007.07.23)
*Optimized the multi-thread dispatching;
*Optimized the capability of disc read/ write when downloading;
*Fixed the bug in certain situation that it has no traffic in Drop Zone;
*Fixed the bug that FlashGet crashed when setting category properties;
*Fixed a bug in the category management;
*Fixed few minor UI bugs.

-------------------------------------------------------------------------

FlashGet Version 1.9.0 (2007.06.29)
*No MAX jobs limit for BT Torrent file.
*Fixed bug in certain situation that popped up Add New Download window when clicking on torrent file            
*Fixed bug regarding category management that could creat categories which enabled not to conform Windows name criteria.
*Fixed bug regarding category management that enabled to creat same categories.
*Fixed bug that called FlashGet when closing eMule module and clicking eMule link.
* Other improvements

-------------------------------------------------------------------------

FlashGet Version 1.8.8 (2007.06.15)
* Fixed the bug to restore download window when opening Torrent seeds
* Fixed the bug that errors occur when opening certain Torrents
* Fixed the bug that application exits automatically when downloading some eMule jobs
* Fix the bug that the upnp function for eMule module causes application freezing when  startup 
* Shortcut(ctrl+v) for search toolbar
* Updated Flash detection feature
* Other improvements

-------------------------------------------------------------------------

FlashGet Version 1.8.6 (2007.05.29)
* Fixed that eMule module pretends to crash with certain firewalls
* Fixed the bug that FlashGet does not monitor ed2k link after default installation
* Fixed the bug that unreadable codes occur when  read/write file name in certain situation
* Fixed the bug of repeatedly popping up New job window in certain situation

-------------------------------------------------------------------------

FlashGet Version 1.8.4 (2007.05.16)
+Added exceptions report: exceptions report will be prompt to send to debugrpt@flashget.com
+Improved search toolbar
+Support eMule/ed2k 
*Changed version format: MainVersion.MinorVersion.PatchVersion.ReleaseTimes 
*Fixed some minor UI bugs

-------------------------------------------------------------------------

FlashGet Version 1.82.1003 (2007.04.16)
1.Modified the database saving directory  
2.Fixed  few UI bugs
3.some minor improvements

-------------------------------------------------------------------------

FlashGet Version 1.82.1002 (2007.04.02)

* Provide two modes(simple and advanced) for Add New Job Window
* Add the feature of filtering the invalid Bit Torrent file
* Change the prompt sound for finished download
* Fix the bug of setting download directory on BT job window
* Add the option of opening the file after download finished
* Other bug fixed

-------------------------------------------------------------------------
FlashGet Version 1.82.1001 (2007.03.20)

New Feature for V1.82.1001
* Beautify dropzone
* New icons
* Re-arrange the main menu
* Add TAB display in graph/log window
* Modify some text on main window
* Optimize the Option Interface
* Add user customized startup 
* Add download proceeding graph display
* Automatically switch file unit according to its size
* Remove the graph speed display on tool bar
* Disable the popup window after download job finishs
* Disable the customized double click on single job
* Press F1 to get online help 
* Remove 'search' and 'paste url' in menu

Bug fixed list for V1.81.1002
* Remove Saving Recent Database
* Remove the FlashGet toolbar to IE

-------------------------------------------------------------------------
FlashGet Version 1.81 (2007.1.15)
  New Feature for V1.81
  1. To optimize download experience after 99% download
  2. To support WMV MP3 RM detection
  3. To optimize BT download and support protocol encryption
  4 To support flashget:// protocol

  Bug fixed list for V1.81
  1.	To fix Repeating of Finished Download
  2.	To fix No Response of FlashGet V1.80 After Finished Download
  3. To fix BHO Crashes on IE7¡¢WIN2003¡¢Vista
  4.	Other bug fixed

-------------------------------------------------------------------------
FlashGet Version 1.80 (2006.12.12)
+ To add the feature of Bundle Scanning, which is a creation in the world.
+ To optimize the download speed after 99% download
* To fix the bug of the crash of  BHO with Vista 2003

FlashGet Version 1.80 beta 3 (2006.12)
* To make "Close search toolbar" as default setting
* To fix the bug "Check the Downloaded BT File Completely"
* Other bugs fixed

FlashGet Version 1.80 beta 2 (2006.12)
+ To optimize the module of Multi- server & Hyper-thread Transportation (MHT), this increases the download speed 3-6 times than the old version
+ To optimize Cache: HTTP download speed increased 30% again
+ To optimize the download monitor for browser
+ To add the feature of making torrent file.
+ To add ¡°Check the Downloaded BT File Completely¡±
+ To add ¡°Set FlashGet as the Default Download Manager for Internet Explorer¡±
* Unstable BT download speed
* the problems of that torrent files don¡¯t show on BT interface, peers that has been connected, and health, etc
* Website button can not activate FlashGet
* Obvious fluctuation for BT download speed.
* Invalid BT setting and download speed limit.
* BHO crashes occasionally,
* FlashGet crashes when downloading few files

FlashGet Version 1.80 Beta1 (2006.11)
* BitTorrent files download support
* Compatible with Vista speed up the http download
* new interface
* bug fixed
FlashGet 1.73(2006.9)
* improve flash(swf) file download function
* improve search toolbar
* bug fixed

FlashGet 1.72(2006.5)
* context menu add to Opera 8.x and FireFox1.x
* some fine changes
* bug fixed

FlashGet 1.71(2005.8)
* bug fixed

FlashGet 1.70(2005.8)
* improve shareurl service
* some fine changes
* bug fixed

FlashGet 1.65(2004.8)
* Support filesize over 4GB
TIP: How your disk is formatted can limit file sizes too: FAT limit is 2GB, FAT32 limit is 4GB, NTFS is umlimited.
* some fine changes
* bug fixed

FlashGet 1.60a(2004.5)
* re-active shareurl service(http://www.shareurl.com)
* some fine changes
* bug fixed

FlashGet 1.60(2004.4)
* Support RTSP protocol
* some fine changes
* bug fixed

FlashGet 1.50(2004.2)
* Support MMS protocol
* Support command line (flashget.exe [url] [save directory])
  [Save directory] is optional. if exist flashget will not popup job's properties dialog
* some fine changes
* bug fixed


FlashGet 1.40(2002.11)
* Support Https protocol
* Export&Import proxy list
* FlashGet Skin Designer(download from http://www.amazesoft.com/skin.htm)
* some fine changes
* bug fixed


FlashGet 1.31(2002.10)
* some fine changes
* bug fixed

FlashGet 1.30(2002.5)
* Download subdirectories from ftp
* Support individual proxy for each connections
* Move downloaded files when category's directory changed
* reuse ftp connections
* delete item from list when download completed
* Grid of joblist window
* some fine changes
* bug fixed

FlashGet 1.20(2002.3)
* FlashGet is shareware now, not include any ad system
* ShareURL.com--mirror service for FlashGet
* Support Skin
* Get additional/update language pack automatic
* support switch focus when press TAB key
* New toolbar icon
* improve FlashGet IE bar
* Number of retries of Site Explorer
* some fine changes
* bug fixed

FlashGet 1.10(2002.1)
* Site Properties(Max connections, Login information, Proxy)
* FlashGet IE Bar(IE menu->View->Toolbars->FlashGet Bar)
* improve speed limit(support manual and automatic mode)
* Auto switch to active mode if site not support passive mode(ftp protocol)
* optimize for wild band
* improve download databse save,backup and restore
* some fine changes
* bug fixed

FlashGet 1.00(2001.12.13)
* Display download percent in DropZone
* able increase and decrease split parts when downloading
* Move or Delete Log file when move or delete downloaded file
* support extra list command of ftp site in site explorer
* Remember last category and directory
* improve support SOCKS5 proxy
* support SOCKS4 proxy
* Add sound files
* some fine changes
* bug fixed

FlashGet 0.96a(2001.6.21)
* some fine changes
* bug fixed

FlashGet 0.96(2001.6.14)
* Downlod Rule
* Favorites in Site Explorer
* able set buffer size
* more hotkeys
* improve folder selection
* some fine changes
* bug fixed


FlashGet 0.95(2001.2.15)
* some fine changes
* bug fixed

FlashGet 0.94(2001.2.6)
* some fine changes
* bug fixed

FlashGet 0.93(2001.1.30)
* Open(View) files when finished downloading
* improve "Download all by FlashGet"
* add button and menu item to IE
* save category's status when flashget close
* Merge download database
* Minimize main widnow on clicking X
* Close FlashGet when done
* support filter in Site Explorer
* improve integration with IE
* able create new category in job's properties dialog.
* Popup messagebox when download success,failure or all done
* add new buttons to toolbar
* some fine changes
* bug fixed


FlashGet 0.92(2000.12.10)
* some fine changes
* bug fixed

FlashGet 0.91(2000.10.29)
* Improve Site Explorer.
* Improve monitor feature(Method 2 will monitor URLs which include "#?",Method1 not)
* Default download manager(Options/Monitor/Default Manager)
* Transparent DropZone(Only under Win200)
* some fine changes
* bug fixed


FlashGet 0.90(2000.10.18)
* Site Explorer: Explore http/ftp site. It's like windows explorer.
* Fix corrupted zip file: Automatic check zip archive only download corrupted range.
* Parse HTTP header "Content-Disposition" filename (freedrive.com)
* Confirm before download again
* File types to send to virus scanner
* EMail Address for Anonymous Ftp Logins
* some fine changes
* bug fixed

FlashGet Version 0.87(2000.7.27)
* New User Guide(thanks Budimir Roncevic)
* Display Sub-Category alphabetical order
* Retry delay
* improve "Download all by FlashGet"
* import broken downloads
* improve import batch files feature
* Support bulgarian
* some fine changes
* bug fixed

FlashGet Version 0.87(2000.6.23)
* New User Guide(thanks Budimir Roncevic)
* Controls over individual Connection (Start, pause and restart)
* Support HTTP/CONNECT type servers
* Set minimum segment size (the minimum size of a part of a file for another Jet to be created)
* Drop Zone Graph size settings
* Write a separate log file for each download
* Move some files to portable storage devices (e.g disks)
* Support wildcard when monitor click
* Added AddOn program interface (COM & DDE)
* some fine changes
* bug fixed

FlashGet Version 0.86(2000.5.19)
* Aanalyze mirror sites location, selects the best the server
* Mirror lists feature
* Able to select server of FTP search
* No need to set user name and password individually, set login info for servers (Options>>Login)
* Change properties settings for more than one file at once
* Display category or selected job's info (like explorer) in status bar
* Import/Export URL list file
* Analyze web page file for links that download-able
* Support Opera(Please Download Opera Plug-in for FlashGet)
* some fine changes
* bug fixed

FlashGet Version 0.85(2000.4.8)
* Mirror Site Search: Search for mirrors and download from the fastest server available
* Add mirror URL manually or find it automatically through FTP Search
* some fine changes
* bug fixed

FlashGet Version 0.77(2000.3.5)
* A new method of monitoring clicks in IE
* "Cache Ip" opion added
* some fine changes
* bug fixed

FlashGet(JetCar) Version 0.76(2000.2.6)
* JetCar has changed its name to FlashGet
* Swap file and information between/amogst databases (machines)
* Support multiple URLs in Monitoring clipboard, and pasting
* Improved localization feature
* Support "a-z" and "A-Z" ordering in Add Batch Jobs
* Pop-up message window when Job done
* Open cancelled URL (Monitor Click) in browser window
* Fill Comment text with clipboard content
* "Disable Monitor browser clicks" menu added to Tray and Drop-Zone's context menu
* Check a new version of FlashGet
* some fine changes
* bug fixed



JetCar Version 0.75(2000.1.13)
* Localize JetCar by making easy-to-make language packages.
* Display "Transfer rate" and "Download state" in Drop Zone=view
* Improved "Download All by JetCar" feature
* Improved export download information feature
* some fine changes
* bug fixed

JetCar Version 0.74(99.12.16)
* Able add downloaded file which use other tools, automatically creates Categories according to directories
* improved export download information feature, able to create description file and HTML file
* improved Connection feature, connect or disconnect at any time
* display recently downloaded files in file menu
* able to save current configuration as default immediately
* support Cookie
* support Rerferrer
* Start All added to context menu
* Connect/Disconnect and Find icon added to Tool bar
* hold Alt key to move files to top or bottom at once
* some fine changes
* bug fixed

What's new in JetCar 0.73(99.11.09)
* Better and faster searching
* Auto-backup download database everyday
* Smaller program size
* Some fine change
* Fix some bugs.

What's new in JetCar 0.72(99.10.25)
* Analyses HTML files, display link information
* Support multiple file links
* Better browser monitoring (auto start JetCar)
*"Download by JetCar" and "Download all by JetCar" features added to IE's context menu
* Removes banner after registering
* Better support for a large amount of jobs (move error job to the end)
* Context menu added to the detail window
* Some fine change
* Fix some bugs.

What's new in JetCar 0.71a(99.10.3)
* Fix some bugs.

What's new in JetCar 0.71(99.9.28)
* Proxy server list, support multiple proxy server
* Total downloading time and average speed added
* document
* Add "Rename" to context menu
* Display recent downloaded item at list top
* Some fine change
* Fix some bugs.

What's new in JetCar 0.70(99.9.10)
* Able to manage downloaded file(s) used before
* Displays useful downloaded file informations in detail window
* Better proxy server support
* New  log window style
* Some fine changes
* Fixed some bugs

What's new in JetCar 0.69(99.8.25)
* Find Feature (Find & Find Next)
* Add batch download
* able to save the current settings as the default settings
* Always retry
* Fixed some bugs


What's new in JetCar 0.68(99.8.15)
* Check downloaded files for updates or re-download it again
* able to download files with unknown size
* able to change comments on downloading files
* Fixed some bugs

What's new in JetCar 0.67(99.8.4)
* Speed limit
* Support URLs with username and password
* Some fine changes
* Fixed some bugs

What's new in JetCar 0.66(99.7.11)
* More effective programming method, less system resources is required
* Job listview cell tooltips
* Some fine changes
* Fixed Some Bugs


What's new in JetCar 0.65(99.6.27)
* Fixed Some Bugs

What's new in JetCar 0.64(99.6.20)
* Drop zone tooltips
* listview sorting
* Fixed Bugs
  not able to rename file when downloading or after downloaded
  some other minor bugs


What's new in JetCar 0.63(99.6.12)
* If destination file exists you can select overwrite,auto rename or pause
* Able to delete downloading job
* Fixed Bugs
  Not able to delete files with ".jc!" as extension
  best support slowly site
  some other minor bugs

What's new in JetCar 0.62(99.6.2)
* Fixed Bugs
  can't change filename back
  can't add job directly

What's new in JetCar 0.61(99.5.30)
* Monitor Browser Click
* Use .jc1 as the files extension before they have been fully downloaded
* some minor changes
* Fixed Bugs
  sometimes corrupt
  can't download from some site
  best support proxy
  some other minor bugs


What's new in JetCar 0.60(99.5.23)
* Schedule downloads
* Prompt when hangup
* Add spin button
* Fixed Bugs
  sometimes corrupt
  can't download from some site
  some other minor bugs

What's new in JetCar 0.59(99.5.13)
* Add Delete All to context menu
* Export as HTML file
* Changed save as textbox to combobox
* Fixed Bugs
  Save donwload list info when Auto Shutdown
  some other minor bugs

What's new in JetCar 0.58(99.5.8)
* Add jobs by drag & drop
* Get File's Date and Time from the server
* Added create time and complete time
* Fixed Bugs
  download from some site will slowly over 95%
  wrong Proxy-Authenticate tag
  some other minor bugs

What's new in JetCar 0.57(99.5.3)
* Customize Double Click
* Save Focus Control When App Deactive
* Fix Bug
  Corrupt when stop and restart

What's new in JetCar 0.56(99.5.1)
* Sound Effect
* Support Redirect
* HyperLink in About Dialog
* Fix Bug
  Corrupt at some situation
  Can't shutdown on WINNT

What's new in JetCar 0.55(99.4.25)
* Dial-up Network
* HangUp and ShutDown when done
* Copy URL to clipboard
* Save customize window setting
* Fix Bug
  Not best support chinese OS
  Some wrong word at interface

What's new in JetCar 0.54(99.4.17)
* Simple chinese resource dll
* Customize HTTP User-Agent
* Tray tooltips
* Fix Bug
¡¡change any "%xx"s to the appropriate char

What's new in JetCar 0.53(99.4.11)
  * Customize Performance Graph & Log Window Color
  * Move or Delete item can move or delete downloaded file
  * Fix bugs
     Can't download file from some site.

What's new in JetCar 0.52(99.4.4):
  * Monitor Clipboard
  * Ftp transfer mode (Text or Binary)

What's new in JetCar 0.51(99.4.1):
  * Customize Toolbar
  * Auto save list



